Ubuntu 16.04 no sound after change volume

Bug #1643847 reported by Luna
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
High
Unassigned

Bug Description

I did a new ubuntu 16.04 installation. All worked great until i tried to test the speaker sound. When I did it the analog stereo option dissappeared and only had digital and hdmi option. The sound card is onboard (A Realtek ALC888 Audio). With ubuntu 14.04 i havent any problem.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: pulseaudio 1:8.0-0ubuntu3.1
ProcVersionSignature: Ubuntu 4.4.0-47.68-generic 4.4.24
Uname: Linux 4.4.0-47-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: luna 1790 F.... pulseaudio
 /dev/snd/controlC1: luna 1790 F.... pulseaudio
CurrentDesktop: Unity
Date: Tue Nov 22 08:36:07 2016
EcryptfsInUse: Yes
InstallationDate: Installed on 2016-11-21 (0 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
SourcePackage: pulseaudio
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/23/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: V3.3
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: MS-7374
dmi.board.vendor: MSI
dmi.board.version: 1.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrV3.3:bd12/23/2008:svnMSI:pnMS-7374:pvr1.0:rvnMSI:rnMS-7374:rvr1.0:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: MS-7374
dmi.product.version: 1.0
dmi.sys.vendor: MSI

Revision history for this message
Luna (luna-2016) wrote :
Luna (luna-2016)
description: updated
Revision history for this message
Clément Février (clement) wrote :

It seems there is a bug in pulseaudio 3.1, I updated yesterday and no sound since then. We are many to report an absence of sound for the last 24h after updating from the version 3 to 3.1.

See my logs:
Upgrade: libpulsedsp:amd64 (1:8.0-0ubuntu3, 1:8.0-0ubuntu3.1), pulseaudio:amd64 (1:8.0-0ubuntu3, 1:8.0-0ubuntu3.1), libpulse0:amd64 (1:8.0-0ubuntu3, 1:8.0-0ubuntu3.1), libpulse-mainloop-glib0:amd64 (1:8.0-0ubuntu3, 1:8.0-0ubuntu3.1), pulseaudio-module-x11:amd64 (1:8.0-0ubuntu3, 1:8.0-0ubuntu3.1), pulseaudio-module-bluetooth:amd64 (1:8.0-0ubuntu3, 1:8.0-0ubuntu3.1), pulseaudio-utils:amd64 (1:8.0-0ubuntu3, 1:8.0-0ubuntu3.1)

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
Revision history for this message
Luke Yelavich (themuso) wrote : Re: [Bug 1643847] Re: Ubuntu 16.04 no sound after change volume

Clement, do you have working sound if you downgrade all pulseaudio related packages to the ubuntu3 version? You can do this by using apt-get --reinstall install packagename=version, for pulseaudio, libpulsedsp, libpulse-mainloop-glib0, pulseaudio-utils, pulseaudio-module-x11, pulseaudio-module-bluetooth and libpulse0, I think thats all of them. :)

Revision history for this message
Clément Février (clement) wrote :

If I simply downgrade the package, it doesn't work.

I just manage to have the sound back with the following procedure:
#1 purge the package
sudo apt purge libpulsedsp pulseaudio libpulse0 libpulse-mainloop-glib0 pulseaudio-module-x11 pulseaudio-module-bluetooth pulseaudio-utils
#2 keep track of the additional removed packages, in my case
checkbox-converged checkbox-gui gdm3 gnome-control-center gnome-orca gnome-session gnome-settings-daemon gnome-shell gstreamer1.0-plugins-bad gstreamer1.0-pulseaudio indicator-bluetooth indicator-sound libasound2-plugins libcanberra-pulse libespeak1 libfluidsynth1 libfreerdp-plugins-standard liboxideqt-qmlplugin liboxideqtcore0 liboxideqtquick0 libqt5feedback5 libqt5multimedia5 libsdl-image1.2 libsdl1.2debian libunity-webapps0 qml-module-qtfeedback qml-module-ubuntu-components qml-module-ubuntu-test qml-module-ubuntu-web qtdeclarative5-ubuntu-ui-toolkit-plugin speech-dispatcher speech-dispatcher-audio-plugins ubuntu-desktop ubuntu-session unity-control-center unity-control-center-signon unity-settings-daemon unity-webapps-common unity-webapps-qml unity-webapps-service vlc webapp-container webbrowser-app
#3 reinstall the packages, with the pulseaudio one to the previous version
sudo apt install libpulsedsp=1:8.0-0ubuntu3 pulseaudio=1:8.0-0ubuntu3 libpulse0=1:8.0-0ubuntu3 libpulse-mainloop-glib0=1:8.0-0ubuntu3 pulseaudio-module-x11=1:8.0-0ubuntu3 pulseaudio-module-bluetooth=1:8.0-0ubuntu3 pulseaudio-utils=1:8.0-0ubuntu3 checkbox-converged checkbox-gui gdm3 gnome-control-center gnome-orca gnome-session gnome-settings-daemon gnome-shell gstreamer1.0-plugins-bad gstreamer1.0-pulseaudio indicator-bluetooth indicator-sound libasound2-plugins libcanberra-pulse libespeak1 libfluidsynth1 libfreerdp-plugins-standard liboxideqt-qmlplugin liboxideqtcore0 liboxideqtquick0 libqt5feedback5 libqt5multimedia5 libsdl-image1.2 libsdl1.2debian libunity-webapps0 qml-module-qtfeedback qml-module-ubuntu-components qml-module-ubuntu-test qml-module-ubuntu-web qtdeclarative5-ubuntu-ui-toolkit-plugin speech-dispatcher speech-dispatcher-audio-plugins ubuntu-desktop ubuntu-session unity-control-center unity-control-center-signon unity-settings-daemon unity-webapps-common unity-webapps-qml unity-webapps-service vlc webapp-container webbrowser-app
#4 Remove the user config file
rm -r ~/.config/pulse/*
#5 Shutdown the computer then turn it on again (don't reboot).
#6 Enjoy sound again :)

Changed in pulseaudio (Ubuntu):
importance: Undecided → High
Revision history for this message
Reiner Plonka (reiner-m) wrote :
Download full text (4.1 KiB)

Hi clement,
I made all the things like you....but unfortunately I got a lot of failures and can not fix this. At the moment it is also not possible to update my LTS 16.04 system via integrated update service from Ubuntu.
Maybe you can help me.
Best regards

Reiner

reiner@reiner-LTS16:~$ sudo apt install libpulse0
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  dvdauthor dvgrab gimp-data gimp-help-common gimp-help-de gimp-help-en kded5 kdenlive-data kinit kpackagelauncherqml kpackagetool5 kwayland-data kwayland-integration
  libamd2.4.1 libasound2:i386 libastro1 libasyncns0:i386 libbabl-0.1-0 libblas-common libblas3 libcamd2.4.1 libccolamd2.9.1 libcholmod3.0.6 libdbus-1-3:i386 libfam0
  libfftw3-single3:i386 libflac8:i386 libgfortran3 libgimp2.0 libgomp1:i386 libgps22 libgtkmm-2.4-1v5 libice6:i386 libjack-jackd2-0:i386 libjson-c2:i386 libkf5archive5
  libkf5attica5 libkf5auth-data libkf5auth5 libkf5bookmarks-data libkf5bookmarks5 libkf5codecs-data libkf5codecs5 libkf5completion-data libkf5completion5 libkf5config-bin
  libkf5config-data libkf5configcore5 libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5 libkf5coreaddons-data libkf5coreaddons5 libkf5crash5 libkf5dbusaddons-bin
  libkf5dbusaddons-data libkf5dbusaddons5 libkf5declarative-data libkf5declarative5 libkf5globalaccel-bin libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5
  libkf5gpgmepp5 libkf5guiaddons5 libkf5i18n-data libkf5i18n5 libkf5iconthemes-bin libkf5iconthemes-data libkf5iconthemes5 libkf5idletime5 libkf5itemviews-data libkf5itemviews5
  libkf5jobwidgets-data libkf5jobwidgets5 libkf5kiocore5 libkf5kiofilewidgets5 libkf5kiontlm5 libkf5kiowidgets5 libkf5newstuff-data libkf5notifications-data
  libkf5notifyconfig-data libkf5package-data libkf5package5 libkf5parts-data libkf5parts-plugins libkf5parts5 libkf5plotting5 libkf5service-bin libkf5service-data
  libkf5service5 libkf5solid5 libkf5solid5-data libkf5sonnet5-data libkf5sonnetcore5 libkf5sonnetui5 libkf5textwidgets-data libkf5textwidgets5 libkf5threadweaver5
  libkf5wallet-data libkf5waylandclient5 libkf5widgetsaddons-data libkf5widgetsaddons5 libkf5windowsystem-data libkf5windowsystem5 libkf5xmlgui-bin libkf5xmlgui-data
  libkf5xmlgui5 liblapack3 libltdl7:i386 libmarblewidget-qt5-23 libmlt-data libmovit4 libogg0:i386 liborc-0.4-0:i386 libpam-systemd:i386 libpolkit-qt5-1-1 libqt4-svg
  libqt5script5 libquicktime2 libsamplerate0:i386 libshp2 libsm6:i386 libsndfile1:i386 libsox-fmt-alsa libsox-fmt-base libsox2 libspeexdsp1:i386 libtdb1:i386 libumfpack5.7.1
  libvoikko1 libvorbis0a:i386 libvorbisenc2:i386 libwebrtc-audio-processing-0:i386 libwrap0:i386 libx11-6:i386 libx11-xcb1:i386 libxau6:i386 libxcb1:i386 libxdmcp6:i386
  libxext6:i386 libxtst6:i386 marble-data oxygen-icon-theme oxygen5-icon-theme qastools-common recordmydesktop sonnet-plugins swh-plugins ubuntu-core-launcher
Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
Die folgenden NEUEN Pakete werden installiert:
  libpulse0
0 aktualisiert, 1 neu installiert, 0 zu en...

Read more...

Revision history for this message
Clément Février (clement) wrote :

It seems that this problem is solved in libpulse0 1:8.0-0ubuntu3.2.
Reiner, I advise you to first update the package list

sudo apt update

them try to remove the package libpulse0 to reinstall the new version, by following a similar procedure (I didn't try, so it's a blind shot).

#1 purge the package
sudo apt purge libpulsedsp pulseaudio libpulse0 libpulse-mainloop-glib0 pulseaudio-module-x11 pulseaudio-module-bluetooth pulseaudio-utils
#2 keep track of the additional removed packages
#3 reinstall the pulseaudio packages to the newest version. Add at the end of the list the packages removed at step #2
sudo apt install libpulsedsp pulseaudio libpulse0 libpulse-mainloop-glib0 pulseaudio-module-x11 pulseaudio-module-bluetooth pulseaudio-utils
#4 Remove the user config file
rm -r ~/.config/pulse/*
#5 Shutdown the computer then turn it on again (don't reboot).

I hope it will help.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers